// The template below is for reporting bugs. For feature requests and others, feel free to delete irrelevant entries.

### Platform
// Example: Ubuntu Desktop 17.04 amd64

### GPU, drivers, and screen setup
// Example: NVidia GTX 670, nvidia-drivers 381.09, two monitors configured side-by-side with xrandr
// Please include the version of the video drivers (xf86-video-*) and mesa.
// Please also paste the output of `glxinfo -B` here.

### Environment
// Tell us something about the desktop environment you are using, for example: i3-gaps, Gnome Shell, etc.

### Compton version
// Put the output of `compton --version` here.
// If you are running compton v4 or later, please also include the output of `compton --diagnostics`
// Example: v1

### Compton configuration:
```
// Paste your configuration here
```

### Steps of reproduction
// If you can reliably reproduce this bug, please describe the quickest way to do so
// This information will greatly help us diagnosing and fixing the issue.

1.
2.

### Expected behavior

### Current Behavior

### Stack trace
// If compton crashes, please make sure your compton is built with debug info, and provide a stack trace of compton when it crashed.
// Note, when compton crashes in a debugger, your screen might look frozen. But gdb will still handle your input if it is focused.
// Usually you can use 'bt' and press enter to get the stack trace, then 'q', enter, 'y', enter to quit gdb.

// Or, you can enable core dump, and upload the core file and the compton executable here.

### Other details
// If your problem is visual, you are encouraged to record a short video when the problem occurs and link to it here.
